Agents
Delete an agent
Deletes an agent. For hosted agents, if any version has active sessions, the request
is rejected with HTTP 409 unless force is set to true. When force is true, all
associated sessions are cascade-deleted along with the agent and its versions.
Sökvägsparametrar
agent_name
string
krävs
The name of the agent to delete.
Frågeparametrar
force
boolean
For Hosted Agents, if true, force-deletes the agent even if its versions have active sessions, cascading deletion to all associated sessions. The service defaults to false if a value is not specified by the caller. This value is not relevant for other Agent types.
api-version
string
krävs
The API version to use for this operation.
Svar
The request has succeeded.
Brödtext
object
enum
krävs
The object type. Always 'agent.deleted'.
name
string
krävs
The name of the agent.
deleted
boolean
krävs
Whether the agent was successfully deleted.
Förfrågan
DELETE /agents/{agent_name} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json